<div>
    <h2>
        <span jhiTranslate="typerApp.league.home.title">Leagues</span>
        <button *ngIf='showButton' class="btn btn-primary float-right jh-create-entity create-league" [routerLink]="['/', { outlets: { popup: ['league-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="typerApp.league.home.createLabel">
            Create new League
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="leagues">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span jhiTranslate="typerApp.league.name">Name</span></th>
            <th><span jhiTranslate="typerApp.league.teamCnt">Team</span></th>
                <th><span jhiTranslate="typerApp.league.award">Award</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let league of leagues ;trackBy: trackId">
                <td>{{league.name}}</td>
                <td>
                    {{league.teams.length}}
                </td>
                <td>{{league.award}} zl</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../league', league.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="typerApp.league.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['../league/bets', league.id ]"
                                class="btn btn-dark btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="typerApp.league.action.bets">Bets</span>
                        </button>
                        <button type="submit"
                                *ngIf='showButton'
                                [routerLink]="['/', { outlets: { popup: 'league/'+ league.id + '/edit'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                *ngIf='showButton'
                                [routerLink]="['/', { outlets: { popup: 'league/'+ league.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
